=== debian/changelog ===
minio-client (0.0~20241117-1) unstable; urgency=medium

  * Initial release (Closes: #1076583)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 18 Dec 2024 00:54:19 +0000
