## minio-client 0.0~20241121

=== debian/changelog ===
minio-client (0.0~20241121-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 08 Jan 2025 14:23:00 +0000
