## minio-client 0.0~20250117

=== debian/changelog ===
minio-client (0.0~20250117-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 26 Jan 2025 01:38:08 +0000
