=== debian/control ===
Source: minio-client
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-charmbracelet-bubbles-dev,
               golang-github-charmbracelet-bubbletea-dev,
               golang-github-charmbracelet-lipgloss-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-fatih-color-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-shlex-dev,
               golang-github-google-uuid-dev,
               golang-github-inconshreveable-mousetrap-dev,
               golang-github-jedib0t-go-pretty-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-klauspost-compress-dev,
               golang-github-mattn-go-ieproxy-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-minio-cli-dev,
               golang-github-minio-colorjson-dev,
               golang-github-minio-filepath-dev,
               golang-github-minio-madmin-go-dev,
               golang-github-minio-minio-go-dev,
               golang-github-minio-pkg-dev,
               golang-github-minio-selfupdate-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-muesli-reflow-dev,
               golang-github-muesli-termenv-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-pkg-xattr-dev,
               golang-github-posener-complete-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-rjeczalik-notify-dev,
               golang-github-rs-xid-dev,
               golang-github-shirou-gopsutil-dev,
               golang-github-tidwall-gjson-dev,
               golang-github-vbauerster-mpb-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-term-dev,
               golang-golang-x-text-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-gopkg-yaml.v2-dev,
               golang-procfs-dev,
               help2man
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/minio-client
Vcs-Git: https://salsa.debian.org/go-team/packages/minio-client.git
Homepage: https://github.com/minio/mc
XS-Go-Import-Path: github.com/minio/mc

Package: minio-client
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Simple, fast tool to manage MinIO clusters
 MinIO Client (mc) provides a modern alternative to UNIX commands like
 ls, cat, cp, mirror, diff, find etc. It supports filesystems and Amazon
 S3 compatible cloud storage service (AWS Signature v2 and v4).
 .
 In Debian, the binary is installed as `/usr/bin/minio-client`; for further
 details, please refer to the README.Debian file for this package.
