## minio-client 0.0~20250312

=== debian/changelog ===
minio-client (0.0~20250312-1) unstable; urgency=medium

  * New upstream release
    - Rebase patch
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 20 Mar 2025 13:23:37 +0000
