=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
                golang-procfs-dev,
                help2man
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/minio-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/minio-client.git
 Homepage: https://github.com/minio/mc
