=== debian/changelog ===
minio-client (0.0~20250403-4) unstable; urgency=medium

  * Add patch with fixes for tablewriter API changes
  * Update required tablewriter version in Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Aug 2025 01:21:52 +0000

minio-client (0.0~20250403-3) unstable; urgency=medium

  * Add back Built-Using stanza in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 15:07:02 +0000

minio-client (0.0~20250403-2) unstable; urgency=medium

  * Set minimum required version of golang-github-minio-madmin-go

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 07 Apr 2025 18:42:07 +0000

minio-client (0.0~20250403-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 06 Apr 2025 13:57:21 +0000

minio-client (0.0~20250312-2) unstable; urgency=medium

  * d/control:
    - Update Build-Depends on golang-github-minio-minio-go-dev ->
      golang-github-minio-minio-go-v7-dev
    - Replace Built-Using with Static-Built-Using

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 31 Mar 2025 23:06:59 +0000
