=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
                golang-github-minio-cli-dev,
                golang-github-minio-colorjson-dev,
                golang-github-minio-filepath-dev,
-               golang-github-minio-madmin-go-dev,
-               golang-github-minio-minio-go-dev,
+               golang-github-minio-madmin-go-dev (>= 3.0.104),
+               golang-github-minio-minio-go-v7-dev,
                golang-github-minio-pkg-dev,
                golang-github-minio-selfupdate-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-muesli-reflow-dev,
                golang-github-muesli-termenv-dev,
-               golang-github-olekukonko-tablewriter-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-github-pkg-xattr-dev,
                golang-github-posener-complete-dev,
                golang-github-prometheus-client-golang-dev,
@@ -62,6 +62,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Simple, fast tool to manage MinIO clusters
  MinIO Client (mc) provides a modern alternative to UNIX commands like
  ls, cat, cp, mirror, diff, find etc. It supports filesystems and Amazon
