## minio-client 0.0~20250813

=== debian/changelog ===
minio-client (0.0~20250813-1) unstable; urgency=medium

  * New upstream release
    - Rebase patch for tablewriter API changes
  * d/control:
    - Update Build-Depends
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 18 Nov 2025 14:33:35 +0000
