=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -24,7 +23,7 @@
                golang-github-minio-cli-dev,
                golang-github-minio-colorjson-dev,
                golang-github-minio-filepath-dev,
-               golang-github-minio-madmin-go-dev (>= 3.0.104),
+               golang-github-minio-madmin-go-dev (>= 3.0.107),
                golang-github-minio-minio-go-v7-dev,
                golang-github-minio-pkg-dev,
                golang-github-minio-selfupdate-dev,
